# Create

Launch stage: GA

`POST /api/2.1/accounts/{account_id}/budget-policies`

Creates a new policy.

API scopes: billing

## Path parameters

- `account_id` (string, optional)
  The account Id of the customer

## Request body

- `request_id` (string, optional)
  A unique identifier for this request. Restricted to 36 ASCII characters.
   A random UUID is recommended.
   This request is only idempotent if a `request_id` is provided.
  Constraints: `= 36 characters`
- `policy` (object, optional)
  The policy to create. `policy_id` needs to be empty as it will be generated
    `policy_name` must be provided, custom_tags may need to be provided
    depending on the cloud provider. All other fields are optional.
  - `policy_id` (string, optional)
    The Id of the policy. This field is generated by <Databricks> and globally unique.
    Constraints: `= 36 characters`
  - `policy_name` (string, optional)
    The name of the policy.
       - Must be unique among active policies.
       - Can contain only characters from the ISO 8859-1 (latin1) set.
       - Can't start with reserved keywords such as `databricks:default-policy`.
    Constraints: `[ 1 .. 127 ] characters`
  - `custom_tags` (array of object, optional)
    A list of tags defined by the customer. At most 20 entries are allowed per policy.
    - `key` (string, optional)
      The key of the tag.
         - Must be unique among all custom tags of the same policy
         - Cannot be “budget-policy-name”, “budget-policy-id” or "budget-policy-resolution-result" -
           these tags are preserved.
      Constraints: `[ 1 .. 512 ] characters`
    - `value` (string, optional)
      The value of the tag.
      Constraints: `<= 256 characters`
  - `binding_workspace_ids` (array of int64, optional)
    List of workspaces that this budget policy will be exclusively bound to.
     An empty binding implies that this budget policy is open to any workspace in the account.

## Returns

Returns the BudgetPolicy object.

## Response

```json
{
  "policy_id": "string",
  "policy_name": "string",
  "custom_tags": [
    {
      "key": "string",
      "value": "string"
    }
  ],
  "binding_workspace_ids": [
    0
  ]
}
```

